CPSystemItem (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface CPSystemItem

- All Superinterfaces:
    EssenceElement, MXFUnit
  All Known Implementing Classes:
    CPSystemItemImpl

      public interface CPSystemItem
      extends EssenceElement

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.EssenceElement

      `CPData, CPPicture, CPSound, ELEMENT_COUNT_INDEX, ELEMENT_NUMBER_INDEX, ELEMENT_TYPE_INDEX, essenceElementBase, GCCompound, GCData, GCPicture, GCSound, ITEM_TYPE_INDEX`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getBitmap()`
    `short` | `getChannelHandle()`
    `short` | `getContinuityCount()`
    `byte[]` | `getCreationDate()`
    `UL` | `getLabel()`
    `byte` | `getRate()`
    `byte` | `getType()`
    `UnitType` | `getUnitType()`
    `byte[]` | `getUserDate()`
    `void` | `setBitmap(byte bitmap)`
    `void` | `setChannelHandle(short channelHandle)`
    `void` | `setContinuityCount(short continuityCount)`
    `void` | `setCreationDate(byte[] creationDate)`
    `void` | `setLabel(UL label)`
    `void` | `setRate(byte rate)`
    `void` | `setType(byte type)`
    `void` | `setUserDate(byte[] userDate)`

- - ### Method Detail

    - #### getUnitType

          UnitType getUnitType()

      Specified by:
        `getUnitType` in interface `MXFUnit`

    - #### setUserDate

          void setUserDate(byte[] userDate)

    - #### getUserDate

          byte[] getUserDate()

    - #### setCreationDate

          void setCreationDate(byte[] creationDate)

    - #### getCreationDate

          byte[] getCreationDate()

    - #### setLabel

          void setLabel(UL label)

    - #### getLabel

          UL getLabel()

    - #### setContinuityCount

          void setContinuityCount(short continuityCount)

    - #### getContinuityCount

          short getContinuityCount()

    - #### setChannelHandle

          void setChannelHandle(short channelHandle)

    - #### getChannelHandle

          short getChannelHandle()

    - #### setType

          void setType(byte type)

    - #### getType

          byte getType()

    - #### setRate

          void setRate(byte rate)

    - #### getRate

          byte getRate()

    - #### setBitmap

          void setBitmap(byte bitmap)

    - #### getBitmap

          byte getBitmap()

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.